package com.bonus.canteen.core.auth.oauth.app.manage.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@ApiModel("app 修改密码DTO")
public class AuthAppModifyPasswordDTO {
   @ApiModelProperty("用户编号")
   private @NotNull(
   message = "{auth_no_username}"
) Long userId;
   @ApiModelProperty("原始密码")
   private @NotBlank(
   message = "{auth_no_old_password}"
) String oldPassword;
   @ApiModelProperty("新密码")
   private @NotBlank(
   message = "{auth_no_new_password}"
) String newPassword;

   public Long getUserId() {
      return this.userId;
   }

   public String getOldPassword() {
      return this.oldPassword;
   }

   public String getNewPassword() {
      return this.newPassword;
   }

   public void setUserId(final Long userId) {
      this.userId = userId;
   }

   public void setOldPassword(final String oldPassword) {
      this.oldPassword = oldPassword;
   }

   public void setNewPassword(final String newPassword) {
      this.newPassword = newPassword;
   }

   public String toString() {
      Long var10000 = this.getUserId();
      return "AuthAppModifyPasswordDTO(userId=" + var10000 + ", oldPassword=" + this.getOldPassword() + ", newPassword=" + this.getNewPassword() + ")";
   }
}
